Skip to content

Update a Booking Event Template

PATCH
/businesses/{businessId}/notifications/booking-event-templates/{bookingEventTemplateId}
curl --request PATCH \
--url https://api.upvio.com/v1/businesses/example/notifications/booking-event-templates/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "enabled": true, "messageTemplate": { "type": "email", "subject": "example", "content": "example" } }'

Update an existing booking event notification template.

businessId
required

The ID of the Business.

string
bookingEventTemplateId
required

The ID of the Booking Event Template.

string
Media type application/json
Booking Event Template Update Input
object
enabled

Whether this template is enabled.

boolean
messageTemplate

Custom message template override.

object
type
required

The message template type.

string
Allowed values: email sms
subject
required

The email subject line.

string
content
required

The message content with template variables.

string

The updated Booking Event Template.

Media type application/json
object
data
object
id

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was last updated (ISO 8601 format).

string format: date-time
businessId

The ID of the business this template belongs to.

string format: uuid
serviceIds

The IDs of the services this template applies to. An empty array means all services.

Array<string>
event

The booking event that triggers this notification.

string
type

The type of notification (EMAIL or SMS).

string
Allowed values: EMAIL SMS
recipient

The recipient of the notification.

string
enabled

Whether this template is enabled.

boolean
messageTemplate

Custom message template override. Null if using the default.

object
id

The unique identifier for the message template.

string
type

The message template type.

string
Allowed values: email sms
subject

The email subject line.

string
content

The message content with template variables.

string
defaultTemplate

The default message template for this event, type, and recipient combination.

object
id

The unique identifier for the message template.

string
type

The message template type.

string
Allowed values: email sms
subject

The email subject line.

string
content

The message content with template variables.

string
Example
{
"data": {
"type": "EMAIL",
"messageTemplate": {
"type": "email"
},
"defaultTemplate": {
"type": "email"
}
}
}

Invalid input.

Media type application/json
object
error
object
code
number
title
string
Example
{
"error": {
"code": 404,
"title": "Not Found"
}
}

Booking Event Template not found.

Media type application/json
object
error
object
code
number
title
string
Example
{
"error": {
"code": 404,
"title": "Not Found"
}
}